Loading...
Searching...
No Matches
Dune::IsCallable< F(Args...), R > Struct Template Reference
Common » Utilities » C++ utilities and backports

Check if a type is callable with ()-operator and given arguments. More...

`#include <dune/common/typetraits.hh>`

Inheritance diagram for Dune::IsCallable< F(Args...), R >:

## Detailed Description

template<typename R, typename F, typename... Args>
struct Dune::IsCallable< F(Args...), R >

Check if a type is callable with ()-operator and given arguments.

The documentation for this struct was generated from the following file:

- typetraits.hh